bug-gettext
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [PATCH 0/1] old-fashioned suffix rules cannot have any prerequisites


From: Bruno Haible
Subject: Re: [PATCH 0/1] old-fashioned suffix rules cannot have any prerequisites
Date: Sun, 05 Apr 2020 16:32:18 +0200
User-agent: KMail/5.1.3 (Linux/4.4.0-174-generic; KDE/5.18.0; x86_64; ; )

Paul Smith wrote:
> So, you should be seeing a warning, not an error, in GNU make 4.3.

Indeed, I'm getting a warning:

$ make de.gmo
Makefile:204: warning: ignoring prerequisites on suffix rule definition
rm -f de.gmo && /arch/local/x86_64-linux-gnu/bin/msgmerge --for-msgfmt -o 
de.1po de.po gettext-runtime.pot && /arch/local/x86_64-linux-gnu/bin/msgfmt -c 
--statistics --verbose -o de.gmo de.1po && rm -f de.1po
de.1po: 28 ├╝bersetzte Meldungen.

> you'll need to create a separate prerequisite statement
> for that, for all versions of GNU make.

Done that. Thanks!
https://git.savannah.gnu.org/gitweb/?p=gettext.git;a=commitdiff;h=bf019d3d260b26ea90ddabd3ca6802c6edf8f5b2

Bruno




reply via email to

[Prev in Thread] Current Thread [Next in Thread]